# $Id: hp-ux.makefile 4824 2007-01-31 11:54:01Z jz $
# Einstellungen nur fuer HP-UX


include $(PROD_DIR)/make/gnu.makefile
#CFLAGS += -DSYSTEM_HPUX

#LIBS += -lsocket
#INCLUDES += -I$(PROD_DIR)/../unixodbc/include
#INCLUDES += -I/export/home/sos/jz/j2sdk/include
#INCLUDES += -I/export/home/sos/jz/j2sdk/include/solaris

INCLUDES += -I$(PROD_DIR)/LINKS/java/include -I$(PROD_DIR)/LINKS/java/include/hp-ux

#Schering CFLAGS += -Os
CFLAGS += -O2
#CFLAGS += -Wuninitialized
CFLAGS += -fno-strict-aliasing
CFLAGS += -D_REENTRANT
CFLAGS += -fPIC

#ifeq ($(shell uname -m),ia64)
#CFLAGS += -milp32
#endif

# NO_PERL: Ohne Perl uebersetzen und binden
NO_PERL=1

ifeq "$(NO_PERL)" ""
LIBS += -L`perl -e 'print readlink("../../LINKS/perl");'`/CORE -lperl  $(PROD_DIR)/LINKS/perl/auto/DynaLoader/DynaLoader.a
CFLAGS += -DZ_LINK_PERL
endif


# Fuer pthread.h:
CFLAGS += -D_POSIX_C_SOURCE=199506L 

# Fuer gcc 3.1 STL (Standard Template Library), gcc 3.1 scheint nicht richtig an HP-UX angepasst zu sein.
#CFLAGS += -D_GLIBCPP__PTHREADS=1
#CFLAGS += -D_PTHREADS

LIBS += -lpthread
LIBS += -liconv
LIBS += -lsec

LINK_FLAGS += -Wl,-z

# Damit die Pfade von libstdc++.sl und libgcc_s.sl nicht absolut sind und mit der Umgebungsvariablen SHLIB_PATH angegeben werden können
# (Herausgefunden von Ghassan Beydoun, 2007-01-19)
LINK_FLAGS += -Wl,+s

LINK_FLAGS += -fPIC

