// $Id: string_stream.cxx 4706 2007-01-08 09:25:24Z jz $

#include "zschimmer.h"
#include "string_stream.h"

using namespace std;


namespace zschimmer {

//---------------------------------------------------------------------String_stream::String_stream

String_stream::String_stream()
{
}

//--------------------------------------------------------------------String_stream::~String_stream

String_stream::~String_stream()
{
}

//----------------------------------------------------------------------------String_stream::length

size_t String_stream::length()
{ 
    size_t result = tellp(); 
    return (int)result == -1? 0 : result;     // Am nfang liefert tellp() BADOFF
} 

//--------------------------------------------------------------------------String_stream::truncate

void String_stream::truncate( size_t length )
{ 
    seekp( length ); 
}

//------------------------------------------------------------------------------String_list::length

size_t String_list::length() const
{
    size_t result = 0;
    Z_FOR_EACH_CONST( list<string>, _list, it )  result += it->length();
    return result;
}

//---------------------------------------------------------------------------String_list::to_string

string String_list::to_string()
{
    string result;

    result.reserve( length() );
    Z_FOR_EACH( list<string>, _list, it )  result += *it;

    return result;
}

//-------------------------------------------------------------------------------------------------

} //namespace zschimmer

